VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
CDrawMode Struct Reference

`#include <cdrawdefs.h>`

## Public Member Functions
constexpr | CDrawMode (uint32_t mode=kAliasing)
constexpr | CDrawMode (const CDrawMode &m)=default
constexpr CDrawMode & | operator= (const CDrawMode &m)=default
constexpr uint32_t | modeIgnoringIntegralMode () const
constexpr bool | integralMode () const
constexpr bool | aliasing () const
constexpr bool | antiAliasing () const
CDrawMode & | operator= (uint32_t m)
constexpr uint32_t | operator() () const
constexpr bool | operator== (const CDrawMode &m) const
constexpr bool | operator!= (const CDrawMode &m) const

## Constructor & Destructor Documentation

## ◆ CDrawMode() [1/2]

CDrawMode | ( | uint32_t | mode = kAliasing | ) |
| inline constexpr

## ◆ CDrawMode() [2/2]

CDrawMode | ( | const CDrawMode & | m | ) |
| constexpr default

## Member Function Documentation

## ◆ aliasing()

bool aliasing | ( |  | ) | const
| inline constexpr

## ◆ antiAliasing()

bool antiAliasing | ( |  | ) | const
| inline constexpr

## ◆ integralMode()

bool integralMode | ( |  | ) | const
| inline constexpr

## ◆ modeIgnoringIntegralMode()

uint32_t modeIgnoringIntegralMode | ( |  | ) | const
| inline constexpr

## ◆ operator!=()

bool operator!= | ( | const CDrawMode & | m | ) | const
| inline constexpr

## ◆ operator()()

uint32_t operator() | ( |  | ) | const
| inline constexpr

## ◆ operator=() [1/2]

CDrawMode & operator= | ( | const CDrawMode & | m | ) |
| constexpr default

## ◆ operator=() [2/2]

CDrawMode & operator= | ( | uint32_t | m | ) |
| inline

## ◆ operator==()

bool operator== | ( | const CDrawMode & | m | ) | const
| inline constexpr

The documentation for this struct was generated from the following file:

- cdrawdefs.h